//! Flecs module with documentation components.

const c = @import("../c.zig");

/// Component used to add documentation.
pub const Description = c.EcsDocDescription;

/// Used as `.{ Description, Brief }` to add a brief description.
pub const Brief = struct {};
/// Used as `.{ Description, Detail }` to add a detailed description.
pub const Detail = struct {};
/// Used as `.{ Description, Link }` to add a link.
pub const Link = struct {};
