//! Module that schedules and runs systems.

pub const Pipeline = struct {};
pub const Phase = struct {};

// Builtin pipeline phases
// See also "Selecting a Phase" in the Flecs docs.

pub const OnStart = struct {};
pub const PreFrame = struct {};
pub const OnLoad = struct {};
pub const PostLoad = struct {};
pub const PreUpdate = struct {};
pub const OnUpdate = struct {};
pub const OnValidate = struct {};
pub const PostUpdate = struct {};
pub const PreStore = struct {};
pub const OnStore = struct {};
pub const PostFrame = struct {};
